Name:           openstack-puppet-modules
Version:        2015.1.13
Release:        2%{?dist}
Summary:        Collection of Puppet modules for OpenStack deployment
License:        ASL 2.0 and GPLv2 and GPLv3

URL:            https://github.com/redhat-openstack

Source0:        https://github.com/redhat-openstack/%{name}/archive/%{version}.tar.gz

Patch0001: 0001-Change-default-documentation-URL.patch
Patch0002: 0002-Explicitly-say-that-ovs_redhat-parent-is-ovs.patch
Patch0003: 0003-Fix-support-for-puppet-4.patch
Patch0004: 0004-Rabbitmq-set-repos_ensure-to-false.patch
Patch0005: 0005-Revert-access-out-of-scope-variables-via-the-scope.l.patch
Patch0006: 0006-Support-setting-instance_user-to-an-empty-string.patch
Patch0007: 0007-Expose-RPC-response-timeout-as-a-puppet-parameter.patch
Patch0008: 0008-Allow-customization-of-force_power_state_during_sync.patch
Patch0009: 0009-Creation-of-neutron-db-sync.patch
Patch0010: 0010-Run-neutron-db-sync-also-for-each-neutron-module.patch
Patch0011: 0011-Update-Cisco-ML2-classes-and-templates.patch
Patch0012: 0012-Add-support-for-swift-object-expirer-service.patch
Patch0013: 0013-Fix-swift-README-file.patch
Patch0014: 0014-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0015: 0015-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0016: 0016-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0017: 0017-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0018: 0018-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0019: 0019-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0020: 0020-Drop-nova_admin_tenant_id_setter.patch
Patch0021: 0021-Add-support-for-RabbitMQ-connection-heartbeat.patch
Patch0022: 0022-Fix-wsrep_provider_options-if-SSL-false.patch
Patch0023: 0023-Enhance-bridge-preparation-to-support-tagged-managem.patch
Patch0024: 0024-Remove-the-requirement-for-VSM-version-to-be-specifi.patch
Patch0025: 0025-Making-instance_name_template-configurable.patch
Patch0026: 0026-Prevent-vsm-br-ip-configuration-for-existing-bridge-.patch
Patch0027: 0027-Deprecate-nova_admin_-options.patch
Patch0028: 0028-Enable-Manila-Service.patch
Patch0029: 0029-Fix-manila-conditional-statement.patch
Patch0030: 0030-Support-for-Nuage-Neutron-plugin-in-puppet-neutron.patch
Patch0031: 0031-Adds-IPv6-support-for-interface_for_ip-function.patch
Patch0032: 0032-Add-tripleo_ipv6_interfaces-fact.patch
Patch0033: 0033-Supports-IPv6-in-vnc-proxy.patch
Patch0034: 0034-Utility-to-handle-IPv6-address-brackets.patch
Patch0035: 0035-TripleO-Enable-X-Forwarded-Proto-header-for-Heat-and.patch
Patch0036: 0036-TripleO-Enable-X-Forwarded-Proto-header-for-keystone.patch
Patch0037: 0037-Tripleo-Fix-repeated-ports-for-ssl-frontends-nova-vn.patch
Patch0038: 0038-Tripleo-Resolve-repeated-ports-for-ssl-frontends.patch
Patch0039: 0039-Allow-to-enable-disable-IPv6-support.patch
Patch0040: 0040-Fix-dependencies-for-Nuage-plugin-configuration.patch
Patch0041: 0041-Use-HAProxy-transparent-bind-option-for-compat-with-.patch
Patch0042: 0042-Require-swift-package-installation-before-swift-user.patch
Patch0043: 0043-add-ipv6-support-to-mongodb_replset.patch
Patch0044: 0044-Add-support-for-setting-globally-ms_bind_ipv6.patch
Patch0045: 0045-Add-is_ipv6_address-function.patch
Patch0046: 0046-Implement-auth_endpoint_type-parameter.patch
Patch0047: 0047-PATCH-downstream-only-mongodb-do-not-add-blank-param.patch

BuildArch:      noarch
Requires:       rubygem-json

%description
A collection of Puppet modules which are required to install and configure
OpenStack via installers using Puppet configuration tool.


%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm -rf {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf


%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp -r $(grep ^mod Puppetfile |cut -d\' -f2) %{buildroot}/%{_datadir}/openstack-puppet/modules/
cp Puppetfile %{buildroot}/%{_datadir}/openstack-puppet/Puppetfile
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init


%files
%{_datadir}/openstack-puppet
%{_datadir}/openstack-puppet/modules
%{_datadir}/openstack-puppet/modules/*
%{_datadir}/openstack-puppet/Puppetfile


%changelog
* Mon Jan 25 2016 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.13-2
- [PATCH] [downstream-only] mongodb: do not add blank parameter in ipv4
- Implement auth_endpoint_type parameter
- Add is_ipv6_address function
- Add support for setting globally ms_bind_ipv6
- add ipv6 support to mongodb_replset
- Require swift package installation before swift user.

* Thu Jan 14 2016 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.13-1
- Update to upstream 2015.1.13

* Mon Jan 11 2016 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.12-10
- Utility to handle IPv6 address brackets.
- Supports IPv6 in vnc proxy.
- Add tripleo_ipv6_interfaces fact
- Adds IPv6 support for interface_for_ip function

* Fri Jan 08 2016 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.12-9
- Support for Nuage Neutron plugin in puppet-neutron

* Tue Dec 08 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.12-8
- Fix manila conditional statement
- Enable Manila Service

* Wed Dec 02 2015 Iván Chavero <ichavero@redhat.com> 2015.1.12-7
- Add 0028-Deprecate-nova_admin_-options.patch (rhbz#1287839)

* Fri Nov 20 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.12-6
- Prevent vsm-br ip configuration for existing bridge cases (rhbz#1264243)

* Thu Nov 12 2015 Iván Chavero <ichavero@redhat.com> 2015.1.12-5
- Added: 0025-Support-for-Nuage-Neutron-plugin-in-puppet-neutron.patch (rhbz#1265774)
- Added: 0026-Making-instance_name_template-configurable.patch (rhbz#1278874)

* Thu Nov 12 2015 Iván Chavero <ichavero@redhat.com> 2015.1.12-4
- Added: 0023-Enhance-bridge-preparation-to-support-tagged-managem.patch (rhbz#1264243, rhbz#1265437)
- Added: 0024-Remove-the-requirement-for-VSM-version-to-be-specifi.patch (rhbz#1259526)

* Tue Oct 20 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.12-3
- Add support for RabbitMQ connection heartbeat

* Tue Oct 20 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.12-2
- Drop nova_admin_tenant_id_setter

* Fri Oct 16 2015 Martin Mágr <mmagr@redhat.com> 2015.1.12-1
- Update to 2015.1.12

* Fri Oct 09 2015 Iván Chavero <ichavero@redhat.com> 2015.1.11-3
- Fixed tripleo patch duplicity
- Added 0021-Remove-httpchk-option-from-haproxy-listeners.patch (rhbz#1246525)

* Thu Oct 08 2015 Iván Chavero <ichavero@redhat.com> 2015.1.11-2
- Added 0021-Remove-httpchk-option-from-haproxy-listeners.patch (rhbz#1246525)

* Tue Sep 29 2015 Martin Mágr <mmagr@redhat.com> 2015.1.11-1
- Update to upstream 2015.1.11
- Removed 0013-N1Kv-Adding-nexus1000v-puppet-class.patch

* Tue Sep 29 2015 Martin Mágr <mmagr@redhat.com> 2015.1.10-1
- Update to upstream 2015.1.10

* Mon Sep 28 2015 Iván Chavero <ichavero@redhat.com> 2015.1.9-11
- Add 0025-Automatically-install-packages-when-upgrading.patch

* Mon Sep 07 2015 Iván Chavero <ichavero@redhat.com> 2015.1.9-10
- Add 0025-Add-package_manifest-resource.patch

* Fri Sep 04 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.9-9
- drop Create Heat Domain with Keystone_domain resource

* Thu Sep 03 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.9-8
- loadbalancer: use 'source' for novnc balance mode
- loadbalancer: use http mode for Horizon haproxy config
- Remove httpchk option from haproxy listeners
- Add support for swift-object-expirer service
- Create Heat Domain with Keystone_domain resource
- Support setting pacemaker resource defaults
- Update Cisco ML2 classes and templates
- ml2: Fix typo with ml2_srvio/supported_pci_vendor_devs param.

* Fri Aug 28 2015 Iván Chavero <ichavero@redhat.com> 2015.1.9-7
- 0017-Automatic-update.patch (rhbz#1240587)

* Tue Aug 18 2015 Javier Peña <jpena@redhat.com> 2015.1.9-6
- Make OPM own its directories

* Wed Aug 05 2015 Iván Chavero <ichavero@redhat.com> 2015.1.9-5
- Add 0015-Update-Cisco-ML2-classes-and-templates.patch

* Fri Jul 31 2015 Alan Pevec <apevec@redhat.com> 2015.1.9-4
- Fix default for scheduler_driver

* Tue Jul 28 2015 Iván Chavero <ichavero@redhat.com> 2015.1.9-3
- Add 0013-Support-allow_start-and-allow_end-parameters.patch

* Tue Jul 14 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.9-2
- Run neutron db sync also for each neutron module

* Tue Jul 14 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.9-1
- Update to upstream 2015.1.9

* Wed Jul 08 2015 Iván Chavero <ichavero@redhat.com> - 2015.1.8-3
- Add 0007-Support-setting-instance_user-to-an-empty-string.patch
- Add 0008-Expose-RPC-response-timeout-as-a-puppet-parameter.patch
  this patch number changed because it wasn't added to the OPM repo

* Wed Jul 08 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-2
- Add 0007-Expose-RPC-response-timeout-as-a-puppet-parameter.patch

* Fri Jul 03 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.8-1
- Update to upstream 2015.1.8
- Remove Unused patches
- Add 0006-Fix-Heat-302-redirects.patch

* Thu Jun 25 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-5
- Deliver fixes for tripleo
- Introduce param to enable use of clustercheck
- Use mode tcp for glance-registry balancing
- Add $verify_on_create ability for all resources.

* Thu Jun 25 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-4
- Revert "glance provider: pick os_region_name from DEFAULT"

* Thu Jun 25 2015 Iván Chavero <ichavero@redhat.com> 2015.1.7-3
- Add 0010-Install-only-required-libvirt-packages.patch

* Wed Jun 24 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-2
- Revert "access out-of-scope variables via the scope.lookupvar method"

* Tue Jun 23 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.7-1
- Update to upstream 2015.1.7

* Wed Jun 17 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.6-2
- [Rabbitmq] set repos_ensure to false
- Fix support for puppet 4
- Explicitly say that ovs_redhat parent is ovs

* Mon Jun 15 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.6-1
- Update to upstream 2015.1.6

* Thu Jun 11 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.4-1
- Update to upstream 2015.1.4
- Bump glance to master

* Tue Jun 02 2015 Ivan Chavero <ichavero@redhat.com> 2015.1.3-1
- Update to upstream 2015.1.3

* Fri May 15 2015 Lukas Bezdicka <lbezdick@redhat.com> 2015.1.2-1
- Update to upstream 2015.1.2

* Wed May 13 2015 Gaël Chamoulaud <gchamoul@redhat.com> - 2015.1.1-1
-  Updated to release 2015.1.1

* Mon May 11 2015 Haïkel Guémar <hguemar@fedoraproject.org> - 2015.1.0-2
- Add patch to fix TripleO support

* Thu Apr 30 2015 Alan Pevec <alan.pevec@redhat.com> 2015.1.0-1
- OpenStack Kilo release
